companion_proxy_client_free
companion_proxy_client_new
companion_proxy_client_start_service
companion_proxy_client_t
companion_proxy_device_event_cb_t
companion_proxy_error_t
companion_proxy_get_device_registry
companion_proxy_get_value_from_registry
companion_proxy_receive
companion_proxy_send
COMPANION_PROXY_SERVICE_NAME
companion_proxy_start_forwarding_service_port
companion_proxy_start_listening_for_devices
companion_proxy_stop_forwarding_service_port
companion_proxy_stop_listening_for_devices

## companion_proxy_get_value_from_registry()

LIBIMOBILEDEVICE_API companion_proxy_error_t companion_proxy_get_value_from_registry | ( | companion_proxy_client_t | client,
|  | const char * | companion_udid,
|  | const char * | key,
|  | plist_t * | value )

Returns a value for the given key.

Parameters

  client | The companion_proxy client
  companion_udid | UDID of the (paired) companion device
  key | The key to retrieve the value for
  value | A pointer to a plist_t that will receive the value for the given key. The consumer is responsible for freeing the value with plist_free() when no longer needed.

Note
  The device closes the connection after sending the reply.

Returns
  COMPANION_PROXY_E_SUCCESS on success, COMPANION_PROXY_E_INVALID_ARG when client or paired_devices is invalid, COMPANION_PROXY_E_UNSUPPORTED_KEY if the companion device doesn't support the given key, or a COMPANION_PROXY_E_* error code otherwise.